it-swarm.com.de

Was mache ich für Abhängigkeiten, wenn ich wine1.7 am 14.04 installiere?

[email protected]:~$ Sudo apt-get install wine1.7   
[Sudo] password for user: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 wine1.7 : Depends: wine1.7-i386 (= 1:1.7.19-0ubuntu2~trusty2) but it is not         installable
       Recommends: gnome-exe-thumbnailer but it is not going to be installed or
                   kde-runtime but it is not going to be installed
       Recommends: ttf-mscorefonts-installer but it is not going to be installed
       Recommends: fonts-horai-umefont but it is not going to be installed
       Recommends: fonts-unfonts-core but it is not going to be installed
       Recommends: ttf-wqy-microhei
       Recommends: winetricks but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
[email protected]:~$ 

Wenn ich versuche, wine1.7 unter Ubuntu 14.04 64-Bit zu installieren, und ich bin mir nicht sicher, was dies bedeutet, wird die Hilfe sehr geschätzt. Ich habe bereits Sudo apt-get update ausgeführt und Folgendes erhalten:

Reading package lists... Done
W: Duplicate sources.list entry http://dl.google.com/linux/chrome/deb/ stable/main AMD64 Packages (/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-AMD64_Packages)
W: You may want to run apt-get update to correct these problems

Also starte ich apt-get update und:

E: Could not open lock file /var/lib/apt/lists/lock - open (13: Permission denied)
E: Unable to lock directory /var/lib/apt/lists/
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?

Das ist alles sehr stressig, weil ich in der letzten Woche versucht habe, Wein zu bekommen und neu installieren musste und ES NOCH NICHT ARBEITET.

4
user285207

Es scheint, dass Ihnen die i386-Unterstützung fehlt. Vielleicht möchten Sie versuchen, es hinzuzufügen.

Sudo dpkg --add-architecture i386
Sudo apt-get update
Sudo apt-get install wine
7
user294023

Versuchen Sie, die folgenden drei Befehle auszuführen:

Sudo add-apt-repository ppa:ubuntu-wine/ppa
Sudo apt-get update
Sudo apt-get install wine1.7

Wenn Sie danach eine Meldung über doppelte Weineinträge erhalten, versuchen Sie es mit Ausführen

Sudo add-apt-repository ppa:ubuntu-wine/ubuntu -r
Sudo apt-get update

Bitte beachten Sie, dass das -r am Ende add-apt-repository anweist, ein ppa zu entfernen, anstatt eines hinzuzufügen.

Möglicherweise möchten Sie auch versuchen, Ihren bevorzugten Texteditor als Root-Benutzer auszuführen, um die Google-Einträge aus /etc/apt/sources.list zu entfernen (z. B. Sudo gedit /etc/apt/sources.list). Speichern Sie die Datei und führen Sie Sudo apt-get update aus.

0
TSJNachos117
  1. Verwenden Sie Ihren bevorzugten Texteditor, um /etc/apt/sources.list zu öffnen (erstellen Sie zuerst eine Sicherungskopie)
  2. Veränderung

    deb http://de.archive.ubuntu.com/ubuntu/ trusty universe
    

    zu

    deb [Arch=AMD64,i386] http://de.archive.ubuntu.com/ubuntu/ trusty universe
    
  3. Führen Sie diese Befehle aus

    Sudo add-apt-repository ppa:ubuntu-wine/ppa
    Sudo dpkg --add-architecture i386
    Sudo apt-get update
    
  4. Zum Schluss installieren Sie den Wein mit aptitude

    Sudo aptitude --full-resolver -f install wine1.7
    
0
Vivek

Die Meldung über doppelte Quellen ist nur eine Warnung und kann ignoriert werden. Versuchen

Sudo apt-get -f install

es wird (versucht), alle fehlenden Abhängigkeiten zu installieren, um Ihre Pakete zu "reparieren" (der -f steht für "fix").

0
fkraiem